import { ITable } from "@aws-cdk/aws-dynamodb";
import { IBucket } from "@aws-cdk/aws-s3";
import { Construct } from "@aws-cdk/core";
/**
 * @stability stable
 */
export interface TerraformStateBackendProps {
    /**
     * @stability stable
     */
    readonly bucketName: string;
    /**
     * @stability stable
     */
    readonly tableName: string;
}
/**
 * @stability stable
 */
export declare class TerraformStateBackend extends Construct {
    /**
     * @stability stable
     */
    readonly bucket: IBucket;
    /**
     * @stability stable
     */
    readonly table: ITable;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: TerraformStateBackendProps);
}
